<?php
  include_once("functions.php");

  // the requested map
  $map = new Map();
  $map->Load($_GET["id"]);

  $name = $map->Name .' ('. date("Y-m-d", strtotime($map->Date)) .')';

  // previous map in archive
  $previous = DataAccess::getPreviousMap(strtotime($map->Date));
  $previousName = $previous->Name .' ('. date("Y-m-d", strtotime($previous->Date)) .')';

  // next map in archive
  $next = DataAccess::getNextMap(strtotime($map->Date));
  $nextName = $next->Name .' ('. date("Y-m-d", strtotime($next->Date)) .')';

  $size = getimagesize(getMapImage($map, false));

  $map->Views++;
  $map->Save();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" href="style.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title><?=_PAGE_TITLE?> :: <?=$name?></title>
<link rel="icon" type="image/png" href="gfx/favicon.png" />
<script type="text/javascript">
<!--

  var imageWidth = <?=$size[0]?>;
  var imageHeight = <?=$size[1]?>;
  var zoom = 1;

  function ZoomIn()
  {
    zoom *= 1.25;
    document.getElementById("mapImage").width = zoom * imageWidth;
    document.getElementById("mapImage").height = zoom * imageHeight;
  }

  function ZoomOut()
  {
    zoom /= 1.25;
    document.getElementById("mapImage").width = zoom * imageWidth;
    document.getElementById("mapImage").height = zoom * imageHeight;
  }

-->
</script>
</head>
<body id="showMapBody">
<div id="showMapWrapper">
<div id="name"><?=$name?></div>
<?
  if(SHOW_MAP_NAME && $map->MapName != "") print '<div class="property">'. _MAP_NAME .': '. $map->MapName .'</div>';
  if(SHOW_ORGANISER && $map->Organiser != "") print '<div class="property">'. _ORGANISER .': '. $map->Organiser .'</div>';
  if(SHOW_COUNTRY && $map->Country != "") print '<div class="property">'. _COUNTRY .': '. $map->Country .'</div>';
  if(SHOW_DISCIPLINE && $map->Discipline != "") print '<div class="property">'. _DISCIPLINE .': '. $map->Discipline .'</div>';
  if(SHOW_RELAY_LEG && $map->RelayLeg != "") print '<div class="property">'. _RELAY_LEG .': '. $map->RelayLeg .'</div>';
  if(SHOW_RESULT_LIST_URL && $map->ResultListUrl != "") print '<div class="property"><a href="'. $map->CreateResultListUrl() .'">'. _RESULTS .'</a></div>';
  if(SHOW_COMMENT && $map->Comment != "") print '<div id="comment">'. $map->Comment .'</div>';
?>

<div class="clear"></div>

<div id="zoomButtonDiv">
  <input type="button" class="zoomButton" onclick="ZoomIn();"  value="+"/>
  <input type="button" class="zoomButton" onclick="ZoomOut();"  value="-"/>
</div>

<div id="back">
  <a href="index.php"><?=_BACK?></a>
</div>

<div id="previousAndNext">
  <? if($previous) { ?><?=_PREVIOUS?>: <a href="show_map.php?id=<?=$previous->ID?>"><?=$previousName?></a><? } ?>
  <br />
  <? if($next) { ?><?=_NEXT?>: <a href="show_map.php?id=<?=$next->ID?>"><?=$nextName?></a><? } ?>
</div>

<div class="clear"></div>
</div>

<div>
<img id="mapImage" src="<?=getMapImage($map)?>" alt="<?=htmlspecialchars($name)?>" />
</div>
</body>
</html>